org.firebirdsql.gds.ng.wire

## Enum AbstractFbWireBlob.BlobOpenOperation

- java.lang.Object
- - java.lang.Enum<AbstractFbWireBlob.BlobOpenOperation>
  - - org.firebirdsql.gds.ng.wire.AbstractFbWireBlob.BlobOpenOperation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AbstractFbWireBlob.BlobOpenOperation>
  Enclosing class:
    AbstractFbWireBlob

      protected static enum AbstractFbWireBlob.BlobOpenOperation
      extends java.lang.Enum<AbstractFbWireBlob.BlobOpenOperation>

  Operation codes to open an input or output blob. For use with `AbstractFbWireBlob.sendOpen(BlobOpenOperation, boolean)`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INPUT_BLOB`
    `OUTPUT_BLOB`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `opCodeWithBpb()`
    `int` | `opCodeWithoutBpb()`
    `static AbstractFbWireBlob.BlobOpenOperation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AbstractFbWireBlob.BlobOpenOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INPUT_BLOB

          public static final AbstractFbWireBlob.BlobOpenOperation INPUT_BLOB

    - #### OUTPUT_BLOB

          public static final AbstractFbWireBlob.BlobOpenOperation OUTPUT_BLOB

  - ### Method Detail

    - #### values

          public static AbstractFbWireBlob.BlobOpenOperation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractFbWireBlob.BlobOpenOperation c : AbstractFbWireBlob.BlobOpenOperation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractFbWireBlob.BlobOpenOperation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### opCodeWithoutBpb

          public final int opCodeWithoutBpb()

    - #### opCodeWithBpb

          public final int opCodeWithBpb()

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.